package com.ruoyi.test.seriver;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.test.domain.Task;
import com.ruoyi.test.domain.Vo.TaskVo;

import java.util.List;

public interface ITaskService {

    IPage<Task> selectList(int pagenum,int pagesize);

    IPage<Task> selectListByGrade(String grade,int pagenum);

    int addTask(TaskVo taskVo,String username);

    int deleteTask(Long id);

    IPage<Task> selectListBySubject(String subject,int pagenum);

    IPage<Task> selectListByGradeAndSubject(String grade,String subject,int pagenum,int pagesize);
}
